#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

echo -e "Adding new user..."
while :; do
  read -p "Enter username: " USERNAME
  if [ "$USERNAME" == "" ]; then
    echo "Username couldn't be empty !!!"
  else
    break
  fi
done
useradd -m -d /home/$USERNAME -s /bin/bash -g users -G wheel,audio $USERNAME
passwd $USERNAME

! egrep -q '^Defaults' /etc/sudoers && echo "Defaults timestamp_timeout=2"  >> /etc/sudoers
! egrep -q '^%wheel' /etc/sudoers && echo "%wheel  ALL=(ALL) ALL" >> /etc/sudoers
! egrep -q '^%users' /etc/sudoers && echo "%users  ALL=(ALL) NOPASSWD: /sbin/shutdown -h now,/sbin/shutdown -r now"  >> /etc/sudoers

mkdir -p /home/$USERNAME/.config/openbox/
cp ${SRCDIR}/{rc.xml,menu.xml,autostart.sh} /home/$USERNAME/.config/openbox/
cp ${SRCDIR}/bash_profile /home/$USERNAME/.bash_profile
cp ${SRCDIR}/bash_logout /home/$USERNAME/.bash_logout
cp ${SRCDIR}/bashrc /home/$USERNAME/.bashrc
cp ${SRCDIR}/conkyrc /home/$USERNAME/.conkyrc
cp -r ${SRCDIR}/wallpaper* /home/$USERNAME/
cp ${SRCDIR}/fehbg /home/$USERNAME/.fehbg
mkdir -p /home/$USERNAME/.config/xpad/
cp ${SRCDIR}/xpad-default-style  /home/$USERNAME/.config/xpad/default-style
chmod +x  /home/$USERNAME/.fehbg
chown -R $USERNAME:users /home/$USERNAME
