#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/conky-1.8.1.tar.bz2 ]; then
  echo "${SRCDIR}/conky-1.8.1.tar.bz2 not found !!"
  exit
fi

# uninstall previous version
epkg -r conky-1.8.1 2> /dev/null || true
[ -d /usr/local/encap/conky-1.8.1 ] && rm -rf /usr/local/encap/conky-1.8.1*
[ -d /usr/src/conky-1.8.1 ] && rm -rf /usr/src/conky-1.8.1

cp ${SRCDIR}/conky-1.8.1.tar.bz2 /usr/src
su - install << EOC
cd /usr/src
tar xf conky-1.8.1.tar.bz2
cd conky-1.8.1
./configure \
  --prefix=/usr \
  --mandir=/usr/man \
  --sysconfdir=/etc \
  --enable-audacious=yes \
  --enable-rss \
  --enable-weather-metar \
  --enable-weather-xoap \
  --enable-imlib2
make && make install DESTDIR=/usr/local/encap/conky-1.8.1
cd /usr/local/encap/
mkencap conky-1.8.1/
EOC
cd /usr/local/encap/
epkg conky-1.8.1
rm -rf /usr/src/conky-1.8.1
cd ${CWD}
