#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/dmenu-4.2.1.tar.gz ]; then
  echo "${SRCDIR}/dmenu-4.2.1.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r dmenu-4.2.1 2> /dev/null || true
[ -d /usr/local/encap/dmenu-4.2.1 ] && rm -rf /usr/local/encap/dmenu-4.2.1*
[ -d /usr/src/dmenu-4.2.1 ] && rm -rf /usr/src/dmenu-4.2.1

cp ${SRCDIR}/dmenu-4.2.1.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf dmenu-4.2.1.tar.gz
cd dmenu-4.2.1
make clean
sed -i config.mk \
    -e 's,PREFIX = /usr/local,PREFIX ?= /usr/local,' \
    -e 's,MANPREFIX = \${PREFIX}/share/man,MANPREFIX = \${PREFIX}/man,'
env PREFIX=/usr DESTDIR=/usr/local/encap/dmenu-4.2.1 make install
cd /usr/local/encap/
mkencap dmenu-4.2.1
EOC
cd /usr/local/encap/
epkg dmenu-4.2.1
rm -rf /usr/src/dmenu-4.2.1
cd ${CWD}
