#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/epdfview-0.1.7.tar.bz2 ]; then
  echo "${SRCDIR}/epdfview-0.1.7.tar.bz2 not found !!"
  exit
fi

# uninstall previous version
epkg -r epdfview-0.1.7 2> /dev/null || true
[ -d /usr/local/encap/epdfview-0.1.7 ] && rm -rf /usr/local/encap/epdfview-0.1.7*
[ -d /usr/src/epdfview-0.1.7 ] && rm -rf /usr/src/epdfview-0.1.7

cp ${SRCDIR}/epdfview-0.1.7.tar.bz2 /usr/src
su - install << EOC
cd /usr/src
tar xf epdfview-0.1.7.tar.bz2
cd epdfview-0.1.7
./configure --prefix=/usr/ && make
make install DESTDIR=/usr/local/encap/epdfview-0.1.7
cd /usr/local/encap
mkencap epdfview-0.1.7/
EOC
cd /usr/local/encap
epkg epdfview-0.1.7
rm -rf /usr/src/epdfview-0.1.7
cd ${CWD}
