#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/epkg-2.3.9.tar.gz ]; then
  echo "${SRCDIR}/epkg-2.3.9.tar.gz not found !!" 
  exit
fi

# uninstall previous version
epkg -t /usr/local -r epkg 2> /dev/null || true
[ -d /usr/local/encap/epkg-2.3.9 ] && rm -rf /usr/local/encap/epkg-2.3.9*
[ -f /usr/local/encap/epkg.log ] && rm -rf /usr/local/encap/epkg.log
[ -d /usr/src/epkg-2.3.9 ] && rm -rf /usr/src/epkg-2.3.9

cp ${SRCDIR}/epkg-2.3.9.tar.gz /usr/src
cd /usr/src/
tar xf epkg-2.3.9.tar.gz
cd epkg-2.3.9
./configure --with-encap-target=/ && make && make install
groupadd install || true
useradd -g install -m -s /bin/bash install || true
passwd -l install
chown install:install /usr/src  /usr/local/encap
chown -R install:install /usr/local/encap
rm -rf /usr/src/epkg-2.3.9
cd ${CWD}
