#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/feh-1.11.tar.bz2 ]; then
  echo "${SRCDIR}/feh-1.11.tar.bz2 not found !!"
  exit
fi

# uninstall previous version
epkg -r feh-1.11 2> /dev/null || true
[ -d /usr/local/encap/feh-1.11 ] && rm -rf /usr/local/encap/feh-1.11*
[ -d /usr/src/feh-1.11 ] && rm -rf /usr/src/feh-1.11

cp ${SRCDIR}/feh-1.11.tar.bz2 /usr/src
su - install << EOC
cd /usr/src
tar xf feh-1.11.tar.bz2
cd feh-1.11
env PREFIX=/usr DESTDIR=/usr/local/encap/feh-1.11 make
env PREFIX=/usr DESTDIR=/usr/local/encap/feh-1.11 make install
cd /usr/local/encap/feh-1.11
mv usr/share/doc/ usr/
mv usr/share/man/ usr/
cd /usr/local/encap/
mkencap feh-1.11/
EOC
cd /usr/local/encap/
epkg feh-1.11
rm -rf /usr/src/feh-1.11
cd ${CWD}
