#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/fox-1.6.40.tar.gz ]; then
  echo "${SRCDIR}/fox-1.6.40.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r fox-1.6.40 2> /dev/null || true
[ -d /usr/local/encap/fox-1.6.40 ] && rm -rf /usr/local/encap/fox-1.6.40*
[ -d /usr/src/fox-1.6.40 ] && rm -rf /usr/src/fox-1.6.40

cp ${SRCDIR}/fox-1.6.40.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf fox-1.6.40.tar.gz
cd fox-1.6.40
./configure --prefix=/usr --mandir=/usr/man --docdir=/usr/doc
make && make install DESTDIR=/usr/local/encap/fox-1.6.40
cd /usr/local/encap/fox-1.6.40
mv usr/share/doc/ usr/
cd /usr/local/encap/
mkencap fox-1.6.40
EOC
cd /usr/local/encap/
epkg fox-1.6.40
ldconfig
rm -rf /usr/src/fox-1.6.40
cd ${CWD}
