#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/giblib-1.2.4.tar.gz ]; then
  echo "${SRCDIR}/giblib-1.2.4.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r giblib-1.2.4 2> /dev/null || true
[ -d /usr/local/encap/giblib-1.2.4 ] && rm -rf /usr/local/encap/giblib-1.2.4*
[ -d /usr/src/giblib-1.2.4 ] && rm -rf /usr/src/giblib-1.2.4

cp ${SRCDIR}/giblib-1.2.4.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf giblib-1.2.4.tar.gz
cd giblib-1.2.4
./configure --prefix=/usr
make && make install DESTDIR=/usr/local/encap/giblib-1.2.4
cd /usr/local/encap/
mkencap giblib-1.2.4/
EOC
cd /usr/local/encap/
epkg giblib-1.2.4
rm -rf /usr/src/giblib-1.2.4
cd ${CWD}
