#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/imlib2-1.4.4.tar.gz ]; then
  echo "${SRCDIR}/imlib2-1.4.4.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r imlib2-1.4.4 2> /dev/null || true
[ -d /usr/local/encap/imlib2-1.4.4 ] && rm -rf /usr/local/encap/imlib2-1.4.4*
[ -d /usr/src/imlib2-1.4.4 ] && rm -rf /usr/src/imlib2-1.4.4

cp ${SRCDIR}/imlib2-1.4.4.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf imlib2-1.4.4.tar.gz
cd imlib2-1.4.4
./configure --prefix=/usr
make && make install DESTDIR=/usr/local/encap/imlib2-1.4.4
cd /usr/local/encap
mkencap imlib2-1.4.4
EOC
cd /usr/local/encap
epkg imlib2-1.4.4
ldconfig
rm -rf /usr/src/imlib2-1.4.4
cd ${CWD}
