#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/lua-5.1.4.tar.gz ]; then
  echo "${SRCDIR}/lua-5.1.4.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r lua-5.1.4 2> /dev/null || true
[ -d /usr/local/encap/lua-5.1.4 ] && rm -rf /usr/local/encap/lua-5.1.4*
[ -d /usr/src/lua-5.1.4 ] && rm -rf /usr/src/lua-5.1.4

cp ${SRCDIR}/lua-5.1.4.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf lua-5.1.4.tar.gz
cd lua-5.1.4
make linux
make install INSTALL_TOP=/usr/local/encap/lua-5.1.4/usr/local
mkdir -p /usr/local/encap/lua-5.1.4/usr/lib/pkgconfig
cp etc/lua.pc /usr/local/encap/lua-5.1.4/usr/lib/pkgconfig
cd /usr/local/encap/lua-5.1.4
mv usr/local/man/ usr/
mv usr/local/share/ usr/
cd /usr/local/encap
mkencap lua-5.1.4/
EOC
cd /usr/local/encap
epkg lua-5.1.4
rm -rf /usr/src/lua-5.1.4
cd ${CWD}
