#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/obconf-2.0.3.tar.gz ]; then
  echo "${SRCDIR}/obconf-2.0.3.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r obconf-2.0.3 2> /dev/null || true
[ -d /usr/local/encap/obconf-2.0.3 ] && rm -rf /usr/local/encap/obconf-2.0.3*
[ -d /usr/src/obconf-2.0.3 ] && rm -rf /usr/src/obconf-2.0.3

cp ${SRCDIR}/obconf-2.0.3.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf obconf-2.0.3.tar.gz
cd obconf-2.0.3
./configure --prefix=/usr 
make && make install DESTDIR=/usr/local/encap/obconf-2.0.3
cd /usr/local/encap/obconf-2.0.3

cat > postinstall << EOF
#!/bin/bash
update-mime-database /usr/share/mime
update-desktop-database /usr/share/applications
EOF

chmod +x postinstall
cd /usr/local/encap/
mkencap obconf-2.0.3/
EOC
cd /usr/local/encap
epkg obconf-2.0.3
rm -rf /usr/src/obconf-2.0.3
cd ${CWD}
