#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/openbox-3.4.11.2.tar.gz ]; then
  echo "${SRCDIR}/openbox-3.4.11.2.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r openbox-3.4.11.2 2> /dev/null || true
[ -d /usr/local/encap/openbox-3.4.11.2 ] && rm -rf /usr/local/encap/openbox-3.4.11.2*
[ -d /usr/src/openbox-3.4.11.2 ] && rm -rf /usr/src/openbox-3.4.11.2

cp ${SRCDIR}/openbox-3.4.11.2.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf openbox-3.4.11.2.tar.gz
cd openbox-3.4.11.2
./configure                    \
  --prefix=/usr                \
  --libdir=/usr/lib            \
  --sysconfdir=/etc            \
  --localstatedir=/var         \
  --mandir=/usr/man            \
  --docdir=/usr/doc            \
  --datarootdir=/usr/share     \
  --enable-startup-notification && \
make && make install DESTDIR=/usr/local/encap/openbox-3.4.11.2
cd /usr/local/encap/openbox-3.4.11.2
mkdir -p usr/share/apps/kdm/sessions
cp usr/share/xsessions/* usr/share/apps/kdm/sessions/
mkdir -p etc/X11/xinit/

cat > etc/X11/xinit/xinitrc.openbox << EOF
#!/bin/sh
userresources=\\\$HOME/.Xresources
usermodmap=\\\$HOME/.Xmodmap
sysresources=/etc/X11/xinit/.Xresources
sysmodmap=/etc/X11/xinit/.Xmodmap
# merge in defaults and keymaps
if [ -f \\\$sysresources ]; then
    xrdb -merge \\\$sysresources
fi
if [ -f \\\$sysmodmap ]; then
    xmodmap \\\$sysmodmap
fi
if [ -f \\\$userresources ]; then
    xrdb -merge \\\$userresources
fi
if [ -f \\\$usermodmap ]; then
    xmodmap \\\$usermodmap
fi
# Start the window manager:
/usr/bin/openbox-session
EOF

chmod +x etc/X11/xinit/xinitrc.openbox

cat > preinstall << EOF
#!/bin/bash
if [ -f /usr/share/apps/kdm/sessions/openbox.desktop ]; then
  rm -rf /usr/share/apps/kdm/sessions/openbox.desktop
fi
EOF

chmod +x preinstall
cd /usr/local/encap/
mkencap openbox-3.4.11.2/
EOC
cd /usr/local/encap
epkg openbox-3.4.11.2
rm -rf /usr/src/openbox-3.4.11.2
cd ${CWD}
