#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/sakura-2.3.8.tar.bz2 ]; then
  echo "${SRCDIR}/sakura-2.3.8.tar.bz2 not found !!"
  exit
fi

# uninstall previous version
epkg -r sakura-2.3.8 2> /dev/null || true
[ -d /usr/local/encap/sakura-2.3.8 ] && rm -rf /usr/local/encap/sakura-2.3.8*
[ -d /usr/src/sakura-2.3.8 ] && rm -rf /usr/src/sakura-2.3.8

cp ${SRCDIR}/sakura-2.3.8.tar.bz2 /usr/src
su - install << EOC
cd /usr/src
tar xf sakura-2.3.8.tar.bz2
cd sakura-2.3.8
cmake -DCMAKE_INSTALL_PREFIX=/usr .
make && make install DESTDIR=/usr/local/encap/sakura-2.3.8
cd /usr/local/encap/sakura-2.3.8
mv usr/share/doc usr/
mv usr/share/man usr/
cd /usr/local/encap
mkencap sakura-2.3.8/
EOC
cd /usr/local/encap
epkg sakura-2.3.8
rm -rf /usr/src/sakura-2.3.8
cd ${CWD}
