#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/scrot-0.8.tar.gz ]; then
  echo "${SRCDIR}/scrot-0.8.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r scrot-0.8 2> /dev/null || true
[ -d /usr/local/encap/scrot-0.8 ] && rm -rf /usr/local/encap/scrot-0.8*
[ -d /usr/src/scrot-0.8 ] && rm -rf /usr/src/scrot-0.8

cp ${SRCDIR}/scrot-0.8.tar.gz /usr/src
cp ${SRCDIR}/screenshot.sh /usr/src
su - install << EOC
cd /usr/src
tar xf scrot-0.8.tar.gz
cd scrot-0.8
./configure --prefix=/usr/ && make
make install DESTDIR=/usr/local/encap/scrot-0.8
mv /usr/src/screenshot.sh /usr/local/encap/scrot-0.8/usr/bin
cd /usr/local/encap/
mkencap scrot-0.8/
EOC
cd /usr/local/encap/
epkg scrot-0.8
rm -rf /usr/src/scrot-0.8
cd ${CWD}
