#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/terminus-font-4.32.tar.gz ]; then
  echo "${SRCDIR}/terminus-font-4.32.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r terminus-font-4.32 2> /dev/null || true
[ -d /usr/local/encap/terminus-font-4.32 ] && rm -rf /usr/local/encap/terminus-font-4.32*
[ -d /usr/src/terminus-font-4.32 ] && rm -rf /usr/src/terminus-font-4.32

cp ${SRCDIR}/terminus-font-4.32.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf terminus-font-4.32.tar.gz
cd terminus-font-4.32
./configure \
  --prefix=/usr \
  --psfdir=/usr/share/kbd/consolefonts \
  --acmdir=/usr/share/kbd/consoletrans \
  --x11dir=/usr/share/fonts/misc
make && make txt
make install install-uni install-ref install-acm DESTDIR=/usr/local/encap/terminus-font-4.32
cd /usr/local/encap/terminus-font-4.32

cat > postinstall << EOF
# Update mkfontscale and mkfontdir:
if [ -x /usr/bin/mkfontdir ]; then
  ( cd /usr/share/fonts/misc
    mkfontscale .
    mkfontdir .
  )
fi
# Update the X font indexes:
if [ -x /usr/bin/fc-cache ]; then
  /usr/bin/fc-cache -f
fi
EOF

chmod +x postinstall
cd /usr/local/encap
mkencap terminus-font-4.32/
EOC
cd /usr/local/encap
epkg terminus-font-4.32
rm -rf /usr/src/terminus-font-4.32
cd ${CWD}
