#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/tint2-0.11.tar.bz2 ]; then
  echo "${SRCDIR}/tint2-0.11.tar.bz2 not found !!"
  exit
fi

# uninstall previous version
epkg -r tint2-0.11 2> /dev/null || true
[ -d /usr/local/encap/tint2-0.11 ] && rm -rf /usr/local/encap/tint2-0.11*
[ -d /usr/src/tint2-0.11 ] && rm -rf /usr/src/tint2-0.11

cp ${SRCDIR}/tint2-0.11.tar.bz2 /usr/src
su - install << EOC
cd /usr/src
tar xf tint2-0.11.tar.bz2
cd tint2-0.11
mkdir build
cd build
cmake -DCMAKE_INSTALL_PREFIX=/usr ../
make && make install DESTDIR=/usr/local/encap/tint2-0.11
cd /usr/local/encap/tint2-0.11
mv usr/share/doc/ usr/
mv usr/share/man/ usr/
cd /usr/local/encap
mkencap tint2-0.11/
EOC
cd /usr/local/encap
epkg tint2-0.11
rm -rf /usr/src/tint2-0.11
cd ${CWD}
