#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/wmctrl-1.07.tar.gz ]; then
  echo "${SRCDIR}/wmctrl-1.07.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r wmctrl-1.07 2> /dev/null || true
[ -d /usr/local/encap/wmctrl-1.07 ] && rm -rf /usr/local/encap/wmctrl-1.07*
[ -d /usr/src/wmctrl-1.07 ] && rm -rf /usr/src/wmctrl-1.07

cp ${SRCDIR}/wmctrl-1.07.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf wmctrl-1.07.tar.gz
cd wmctrl-1.07
./configure --prefix=/usr/ && make
make install DESTDIR=/usr/local/encap/wmctrl-1.07
cd /usr/local/encap
mkencap wmctrl-1.07/
EOC
cd /usr/local/encap
epkg wmctrl-1.07
rm -rf /usr/src/wmctrl-1.07
cd ${CWD}

cat  > /usr/bin/obleave.sh << EOF
#!/bin/bash

message() {
  echo "usage: \$0 [option]"
  echo
  echo "  options:"
  echo "        -r       reboot system"
  echo "        -s       shutdown system"
  echo
  exit 1
}

case \$1 in
  -r) LABEL="restart" ; ACTION="sudo /sbin/shutdown -r now" ;;
  -s) LABEL="shutdown"; ACTION="sudo /sbin/shutdown -h now" ;;
  *)             message          ;;
esac

# gracefully close all apps
wmctrl -l | awk '{print \$1}' | while read APP; do
  wmctrl -i -c \$APP || echo "\$APP not killed"
done

\$ACTION &
exit 0
EOF

chmod +x /usr/bin/obleave.sh

