#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/xfe-1.32.2.tar.gz ]; then
  echo "${SRCDIR}/xfe-1.32.2.tar.gz not found !!"
  exit
fi

# uninstall previous version
epkg -r xfe-1.32.2 2> /dev/null || true
[ -d /usr/local/encap/xfe-1.32.2 ] && rm -rf /usr/local/encap/xfe-1.32.2*
[ -d /usr/src/xfe-1.32.2 ] && rm -rf /usr/src/xfe-1.32.2

cp ${SRCDIR}/xfe-1.32.2.tar.gz /usr/src
su - install << EOC
cd /usr/src
tar xf xfe-1.32.2.tar.gz
cd xfe-1.32.2
./configure
make && make install DESTDIR=/usr/local/encap/xfe-1.32.2
cd /usr/local/encap/xfe-1.32.2
mv  usr/local/share/man usr/
cd /usr/local/encap
mkencap xfe-1.32.2/
EOC
cd /usr/local/encap
epkg xfe-1.32.2/
rm -rf /usr/src/xfe-1.32.2
cd ${CWD}
