#!/bin/bash
set -e
CWD=$(pwd)
SRCDIR=$(dirname $0)

# check if source file exist
if [ ! -e ${SRCDIR}/xpad-4.0.tar.bz2 ]; then
  echo "${SRCDIR}/xpad-4.0.tar.bz2 not found !!"
  exit
fi

# uninstall previous version
epkg -r xpad-4.0 2> /dev/null || true
[ -d /usr/local/encap/xpad-4.0 ] && rm -rf /usr/local/encap/xpad-4.0*
[ -d /usr/src/xpad-4.0 ] && rm -rf /usr/src/xpad-4.0

cp ${SRCDIR}/xpad-4.0.tar.bz2 /usr/src
su - install << EOC
cd /usr/src
tar xf xpad-4.0.tar.bz2
cd xpad-4.0
./configure --prefix=/usr/ --mandir=/usr/man && make
make install DESTDIR=/usr/local/encap/xpad-4.0
cd /usr/local/encap/
mkencap xpad-4.0/
EOC
cd /usr/local/encap/
epkg xpad-4.0
rm -rf /usr/src/xpad-4.0
cd ${CWD}
